{------------------------------------------------------------------------------}
{ TExportListView Localization Unit                                            }
{------------------------------------------------------------------------------}
{ To localize TExportListView, just chang these String Constants to phrases in }
{ your own language. Please make sure you don't change the name of constants,  }
{ or change them in any other way - you must leave all %s, etc... markers in   }
{ the string. Only change the actual words itself. If you do anything else,    }
{ TExportListView might not compile or run properly.                           }
{------------------------------------------------------------------------------}

unit ELV_Strings;

interface

uses Dialogs, ExportLView;

const
  // ExportType Constants - Remember to leave these constants in the same order as you found them
  // but don't worry, you can change them - they're just text descriptions.     
  cExportTypes: TExportTypeConstants =
    ('HTML',
     'Microsoft Word',
     'Microsoft Excel',
     'Text',
     'Rich Text',
     'Comma-Delimited Text',
     'Tab-Delimited Text',
     'Clipboard');

  // "Choose" Dialog Strings
  cChooseDialogCaption = 'Export %d Items';
  cChooseOkCaption     = '&Ok';
  cChooseCancelCaption = '&Cancel';
  cChooseInstructions  = 'Please choose an Export Format';
  cChooseScreenCaption = '&View on Screen';
  cChooseFileCaption   = 'Export to &File';

  // File Dialog Options & Titles for Export File Dialog
  cFileDialogOptions = [ofFileMustExist, ofHideReadOnly, ofPathMustExist,
                        ofOverWritePrompt]; // I don't suggest changing the Dialog Options
  cFilesFilter       = '%s files (*.%s)|*.%s|All Files (*.*)|*.*';
  cExportTitle       = 'Export to %s File';

  // LineFeeds
  CRLF   = #13#10;
  CRLFx2 = CRLF + CRLF;

  // Misc.
  cExcelRightFooter = 'Page &P of &N'; // Don't touch &P or &N! Only change word for 'page' and 'of'
  cNumberRowsCaption = 'Item'; // Row Numbering Column Header

  // Progress Constatns
  cPrintingCaption = 'Printing...';
  cExportingCaption = 'Exporting...';

  // Misc. Messages
  cCreatedMsg         = 'Created:';
  cClipSuccessfulMsg  = 'Successfully Exported to Clipboard';
  cExcelPleaseWaitMsg = 'Please Wait... Excel Export in Progress.';

  // Error Messages
  cGenericExportError  = 'Export Failed.';
  cTextFileError       = 'Export failed. Try again with a different file name. Please ensure that ' + CRLF +
                         'you are not attempting to write to an empty floppy drive or write-protected ' + CRLF +
                         'media (such as a floppy). Network users: Please ensure that the network ' + CRLF +
                         'drive/folder you are trying to write to is connected.';
  cPrintError          = 'Could not complete Print operation successfully.';
  cDefShellViewError   = 'Error occured while trying to view data exported to the %s format.' + CRLFx2 +
                         'If this problem persists, you may want to consider re-installing the %s ' +
                         'Viewer Application. Doing so should fix this problem.';

  cNoDataError       = 'There is no Data to Export.';
  cNoneSelectedError = 'You must select at least one item to Export.';
  cNoColumnsError    = cNoDataError + CRLFx2 +
                       'Try widening the columns you want to export.';

  // OLE Error Messages
  cGenericOLEError1    = 'Cannot communicate with ';
  cGenericOLEError2    = '.' + CRLF + 'Please try again and if that still fails then '+
                         'restart the computer, it might work then.';
  cExcelOLEError       = cGenericOLEError1 + 'Microsoft Excel' + cGenericOLEError2;

  // Error Messages that only the Developer should see, no need to translate these.
  cNoListViewError = 'You must assign a TListView to the ListView Property before ' +
                     'calling the Execute method.';

implementation

end.
